# The Python templates in /usr/share/anjuta/project can not be byte-compiled.
%define _python_bytecompile_errors_terminate_build 0

%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define major       0
%define api         3
%define gi_major    3.0

%define libname     %mklibname %{name} %{api} %{major}
%define libnamedev  %mklibname %{name} %{api} -d
%define girname     %mklibname %{name}-gir %{gi_major}

Summary:        Integrated development environment for C and C++ (Linux)
Name:           anjuta
Version:        3.18.2
Release:        %mkrel 2
License:        GPLv2+
Group:          Development/Tools
URL:            http://anjuta.sourceforge.net/
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#------------------------------------------
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: autogen
BuildRequires: bison
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gda4.0-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}gdl-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}glib2.0_0
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gtksourceview3.0-devel
BuildRequires: %{_lib}mono-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}vala-devel
BuildRequires: %{_lib}vte3-devel
BuildRequires: %{_lib}xml2-devel
#------------------------------------------
Requires:	python-gobject3

%description
Anjuta DevStudio is a versatile Integrated Development Environment (IDE)
for the GNOME Desktop Environment and features a number of advanced
programming facilities. These include project management, application and
class wizards, an on-board interactive debugger, powerful source editor,
syntax highlighting, intellisense auto-completions, symbol navigation,
version controls, integrated GUI designing and other tools.

%package -n %{libname}
Summary:        Anjuta libraries
Group:          System/Libraries
Conflicts:      %{mklibname %{name} 0} < 3.1.3

%description -n %{libname}
Anjuta libraries

%package -n %{libnamedev}
Summary:        Anjuta devel files
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{mklibname -d %{name}} = %{version}-%{release}
Obsoletes:      %{mklibname -d %{name}} < %{version}-%{release}

%description -n %{libnamedev}
Anjuta devel files

%prep
%setup -q

%build
%configure2_5x \
    --disable-static \
    --enable-introspection=yes
%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-key='Encoding' \
  --add-category="IDE" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --all-name

#we don't want
find %{buildroot} -name "*.la" -exec rm -rf {} \;

#let files section handle docs
rm -fr %{buildroot}%{_docdir}/%{name}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}*.1*
%{_datadir}/mime/packages/anjuta.xml
%{_datadir}/pixmaps/%{name}
%{_datadir}/icons/*/*/apps/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/help
%{_datadir}/icons/hicolor

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Anjuta-%{gi_major}.typelib
%{_libdir}/girepository-1.0/IAnjuta-%{gi_major}.typelib

%files -n %libnamedev
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/lib%{name}
%{_libdir}/lib%{name}-%{api}.so
%{_includedir}/lib%{name}-3.0
%{_libdir}/pkgconfig/lib%{name}-3.0.pc
%{_datadir}/gir-1.0/Anjuta-%{gi_major}.gir
%{_datadir}/gir-1.0/IAnjuta-%{gi_major}.gir

%clean
rm -rf %buildroot

%changelog
* Thu Nov 03 2016 adrianomorselli <adrianomorselli> 3.18.2-2uplos2016
- rebuild

* Mon May 09 2016 bb <bb> 3.18.2-2pclos2016
- rebuild for new vala

* Sat Nov 07 2015 bb <bb> 3.18.2-1pclos2015
- update

* Tue Oct 13 2015 bb <bb> 3.18.0-1pclos2015
- update

* Tue May 26 2014 bb <bb> 3.13.1-1pclos2014
- import into pclos for gtkpod
